/* Понижаем приоритет из-за компонентов со слоями (@layer CSS), вынужденная мера из-за PrimeVue */
@layer {
    ul, li
    {
        margin: 0;
        padding: 0;
    }
}

html {background: #FFF; scroll-behavior: smooth;}
[v-cloak] {display: none;}
video:focus {
    outline: none !important;
}
.clearfix:before, .clearfix:after {display: table;content: "";line-height: 0;} .clearfix:after {clear: both;} .clearfix {*zoom: 1;}

.snotify{line-height: normal!important;}

article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {display: block;}
body {font-size: 16px; line-height: 28px; font-family: Roboto, sans-serif; min-width: 1100px; width: 100%;}
i, cite, em, var, address, dfn {font-style: italic;}
b, strong {font-weight: bold;}
a {color: var(--keysso-secondary-link-color);}
a:hover {color: #4f9ad1;}

.h5 {height: 8px;}

h2 {margin: 50px 0;}

.bdb {margin-bottom: -40px;}

.statsrow {background: #f2f5f6; width: 100%; font-weight: 300; padding: 25px 0;}
.statsrow .item {width: 24%; display: inline-block; text-align: center; color: #5c5f62; font-size: 12px; position: relative;}
.statsrow .item:after {content: ""; display: block; width: 1px; height: 16px; background: url(/i/sprites.webp?v=4) -50px -60px no-repeat; position: absolute; right:1px; top: 50%; margin-top: -8px;}
.statsrow .item b {display: block; color: #2a2a2c; font-size: 22px; font-weight: 700;}
.statsrow .item:last-child:after{display: none;}

.sbmtbtn {float: right; width: 185px;}
.sbmtbtn input {background: #68aa13; padding: 0 1rem; height: 44px; border: none; border-radius: 4px; color: #fff; letter-spacing: -0.0em; font-size: 12px; cursor: pointer;}
.sbmtbtn input:hover {background: #15aac0; text-shadow: 0 0 8px rgba(255,255,255,1);}

.mh400 {min-height: 400px;}

span.sub-label{font-weight: 300; font-size: 20px; line-height: 25px;}

.slug {text-align: center; color: #818487; font-size: 16px; font-weight: 300;}

.tariff-container {
    display: flex;
    overflow-x: auto;
}

.start .t-row {color:#20385b;}
.basic .t-row {color:#523b2b;}

.descrblock {margin: 0px 0 0px 0; padding: 25px 0;}
.descrblock:nth-child(1), .descrblock:nth-child(2) {border-bottom: solid 1px #e8edf1;}
.descrblock .left {float: left; width: 240px; font-weight: 700; font-size: 16px;}
.descrblock .left s {text-decoration: none; display: block; color: #595075; font-size: 13px; font-weight: 300;}
.descrblock .left:before {content: ""; background: url(/i/sprites.webp?v=4) -580px -175px no-repeat; width: 37px; height: 21px; display: block; margin: 0 0 10px 0;}
.descrblock.yell .left:before {content: ""; background: url(/i/sprites.webp?v=4) -620px -175px no-repeat; width: 37px; height: 21px; display: block; margin: 0 0 10px 0;}
.descrblock.lilac .left:before {content: ""; background: url(/i/sprites.webp?v=4) -580px -200px no-repeat; width: 37px; height: 21px; display: block; margin: 0 0 10px 0;}
.descrblock .about {margin: 31px 0 0 240px;}
.descrblock .about p {margin-bottom: 15px;}

.form {width: 400px; box-shadow: 2px 2px 10px 1px rgba(0,0,0,0.1); padding: 10px 20px; margin: 30px 0; background: #fff;}
.form>h2 {margin: 10px 0 10px;}
.form label.required:after {color: #e32; content: ' *'; display:inline;}
.form textarea {height: 150px;}
.form select {padding: 9px 20px;}
.form input[type="submit"],input.leftbtn[type="button"] {background: #68aa13; width: 100%; height: 44px; border: none; border-radius: 4px; color: #fff; letter-spacing: -0.0em; font-size: 12px; font-weight: bold; cursor: pointer; margin: 10px 0 0 200px; width: 200px;}
.form input[type="submit"]:hover,input.leftbtn[type="button"]:hover {background: #15aac0; text-shadow: 0 0 8px rgba(255,255,255,1);}
.form input.leftbtn[type="submit"],input.leftbtn[type="button"] {display:inline-block; margin: 10px 0 0 0px; padding-left: 30px; padding-right: 30px; width: auto; margin-right: 20px;}
.form input.reg_btn {float: right; margin-right: inherit!important;}
.form .input-description {font-size: 11px;color: #A0A0A0;line-height: 110%;font-weight: 400;padding-bottom: 10px;}
.form a {font-size: 13px;}

label.radio {width: 30%; vertical-align: middle; margin: 0; display: inline-block; font-weight: 400; font-size: 13px; cursor: pointer;}

label.radio input {width: auto; display: inline-block; vertical-align: middle; margin: 0 5px 0 0;}
label.radio i {font-style: normal; color: #779515; display: inline-block; margin-left: 3px; letter-spacing: -0.1em;}
.form .price {color: #ca1f53; font-size: 36px; font-weight: 500; padding: 20px 10px 20px 40px;}
.form .price span {font-size: 25px;}
.form .price b {font-weight: 500;}
.form .errormessage {color: #ca1e53; font-size: 14px;line-height: normal;}
.form .infomessage {color: #779515; font-size: 14px;line-height: normal;}

.rsya-dialog-carousel {
    max-width: 1600px;
}

@media only screen and (max-width: 1650px) {
    .rsya-dialog-carousel {
        width: 95vw;
    }
}

/* убираем выделение крестика из-за визуального сдвига */
.rsya-dialog-carousel .p-dialog-header-close:hover {
    background-color: transparent !important;
}

.rsya-dialog-carousel .p-dialog-header-close:focus {
    box-shadow: none !important;
}

.legal_info__container {
    display: flex;
    align-items: center;
    line-height: 28px;
}
.legal_info__container > label {
    margin: 0 !important;
}
.legal_info__container > input {
    margin: 0 3px 0 0 !important;
}

.rsya-carousel-button {
    border-radius: 0 !important;
    height: 30rem !important;
}
button.rsya-carousel-button > span {
    display: none;
}

.rsya_item {
    flex: 1 0 18%;
    margin: 30px 0 30px 0;
    max-width: 280px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: stretch;
}

@media only screen and (max-width: 1440px) {
    .rsya_item {
        max-width: 265px;
    }
}

a.greenbutton {text-decoration:none; display: inline-block; background: var(--primary-color); border: none; border-radius: 4px; color: #fff !important; letter-spacing: -0.0em; font-size: 12px; font-weight: 400; cursor: pointer; padding: 5px 20px;}
a.greenbutton:hover, a.greenbutton.opened {background: #15aac0; text-shadow: 0 0 8px rgba(255,255,255,1);}
a.greenbutton:focus {
    border-color: #66afe9;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
}
a.bluebutton {text-decoration:none; display: inline-block; border: 1px solid #3E6580; border-radius: 5px; text-transform: uppercase; letter-spacing: -0.0em; font-size: 12px; font-weight: 400; cursor: pointer; padding: 5px 20px;}
a.bluebutton:hover {background: #e0e9f1; color: #3E6580;}
a.bluebutton:focus {
    border-color: #66afe9;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
}
a.graybutton {text-decoration:none; display: inline-block; background: #dee0e2; border: none; border-radius: 4px; color: #818891 !important; letter-spacing: -0.0em; font-size: 12px; font-weight: 400; cursor: pointer; padding: 5px 20px;}
a.graybutton:hover {background: #c1cdd9; text-shadow: 0 0 8px rgba(255,255,255,1);}
a.graybutton:focus {
    border-color: #66afe9;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
}
a.orangebutton {text-decoration:none; display: inline-block; background: #ec971f; border: none; border-radius: 4px; color: #fff !important; letter-spacing: -0.0em; font-size: 12px; font-weight: 400; cursor: pointer; padding: 5px 20px;}
a.orangebutton:hover {background: #d58512; text-shadow: 0 0 8px rgba(255,255,255,1);}
a.orangebutton:focus {
    border-color: #66afe9;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
}

.width.direct {background: #faf9f2;}

.dashboard_table_stats__container {
    margin-bottom: 25px;
}
.dashboard_table_stats__container h3 {
    font-size: 16px;
    font-weight: 700;
    line-height: 21px;
    color: #D4DEEA;
    margin-bottom: 10px;
    position: relative;
    overflow: hidden;
}
.dashboard_table_stats__container h3:after {
    content: '';
    height: 2px;
    background-color: #D4DEEA;
    width: 100%;
    position: absolute;
    top: 50%;
    margin-left: 5px;
}
.dashboard_table_stats__container .item {
    float: left;
    color: #5c5f62;
    font-size: 13px;
    font-weight: 300;
    padding: 10px 10px 12px 0;
    margin-right: 2%;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    min-width: 170px;
}
.dashboard_table_stats__container .item b {
    display: block;
    color: #2a2a2c;
    font-size: 18px;
    font-weight: 500;
    margin: 5px 0 0 0;
}
.dashboard_table_stats__container .item a {
    font-weight: 500;
    text-decoration: none;
    border-bottom: solid 1px #dde4ea;
}

.dashboard .adcount {margin-top: 20px;}

.dashboard .adcount .se-title {background: #fffbe7;padding: 30px 10px 20px;}

.dashboard .adcount .se {text-align: center; font-size: 24px; font-weight: 300;}
.dashboard .adcount .se a{color: #000; text-decoration: none; border-bottom: 1px solid #000}

.dashboard .adcount .se span.yandex{color: #FD2145;font-weight: 500;}
.dashboard .adcount .se span.google{color: #4f9ad1;font-weight: 500;}

.dashboard h2 {margin-left: 20px;}

.icon.toppages {content: ""; background: url(/i/sprites.webp?v=4) -940px -50px no-repeat; width: 30px; height: 30px; display: inline-block; vertical-align: middle; margin: 0px 10px 0px 0;}
.icon.concurents {content: ""; background: url(/i/sprites.webp?v=4) -880px -0px no-repeat; width: 30px; height: 30px; display: inline-block; vertical-align: middle; margin: 0px 10px 0px 0;}
.icon.keys {content: ""; background: url(/i/sprites.webp?v=4) -915px -0px no-repeat; width: 30px; height: 30px; display: inline-block; vertical-align: middle; margin: 0px 10px 0px 0;}
.icon.filter {content: ""; background: url(/i/sprites.webp?v=4) -950px -0px no-repeat; width: 30px; height: 30px; display: inline-block; vertical-align: middle; margin: 0px 10px 0px 0;}
a.elink {background: url(/i/sprites.webp?v=4) -860px -0px no-repeat; width: 14px; height: 15px; display: inline-block; vertical-align: middle; margin: 0px 10px 0px 0;}
a.esimilar {background: url(/i/sprites.webp?v=4) -810px -170px no-repeat; width: 13px; height: 12px; display: inline-block; vertical-align: middle; margin: 0px 10px 0px 0;}
a.ekeydashboard {background: url(/i/sprites.webp?v=4) -830px -170px no-repeat; width: 10px; height: 13px; display: inline-block; vertical-align: middle; margin: 0px 10px 0px 0;}

.dashboard table {width: 100%;}
.dashboard table tr:nth-child(1) {}
.dashboard table tr:nth-child(even) {background: #f0f4f7;}
.dashboard table tr td {padding: 7px 10px; font-size: 13px;}
.dashboard table tr td a {text-decoration: none; color: var(--keysso-secondary-link-color);}
.dashboard table tr td a:hover {text-decoration: underline;}
.dashboard table tr th {border-bottom: solid 1px #d4d4db; background: #fafbfc;  border-top: solid 1px #e8edf1; font-size: 14px; font-weight: 600; text-align: left; padding: 10px 10px; color: #000;}

.keydashboard .tablereports tr th {border-bottom: solid 1px #d4d4db; background: #fafbfc;  border-top: solid 1px #e8edf1; font-size: 14px; font-weight: 600; text-align: left; padding: 10px 10px; color: #000;}
/*.dashboard table tr th:nth-child(1) {padding-left: 35px;}*/
table tr td.ral {text-align: right;}
table tr td.avbid {min-width: 35px;}
table tr td.pos {min-width: 40px;}
table tr td.pos a {text-decoration: underline!important;}
table tr td.w300 {max-width: 300px}

.dashboard table tr.even {background: #f0f4f7!important;}
.dashboard table tr.odd {background: #fff!important;}
.dashboard table td.vmd {vertical-align: middle;}

a.greenbutton.showall {text-decoration: none; margin: 20px 0 0 0px;}
h2 a.showall, h3 a.showall  {display: block; float: right; font-size :14px; color: #77be1c;}
h2 a.showall:hover, h3 a.showall:hover {color: #558313;}

.tablereports table {width: 100%;}
.tablereports table tr:nth-child(1) {}
.tablereports table tr:nth-child(even) {background: #f0f4f7;}
.tablereports table tr td {padding: 7px 10px; font-size: 13px; vertical-align: middle;}
.tablereports table tr td.key-meta-data {padding: 7px 5px; text-align: center}
.tablereports table tr td a {text-decoration: none; color: var(--keysso-secondary-link-color);}
.tablereports table tr td a:hover {text-decoration: underline;}
.tablereports table tr th {border-bottom: solid 1px #d4d4db; background: #fafbfc;  border-top: solid 1px #e8edf1; padding: 10px 10px; text-align: left;}
.tablereports table tr th>span{font-size: 13px; font-weight: 600; color: #000; text-align: left;}
/*.tablereports table tr th:nth-child(1) {padding-left: 35px;}*/
.tablereports table th.sortable {cursor: pointer; white-space: nowrap;}
.tablereports table th.sortable i {float: none !important;}
th.sortable.sort-desc>div>span:after {content:""; display: inline-block; background: url(/i/sprites.webp?v=4) -670px -140px no-repeat; width: 10px; height: 6px; vertical-align: middle; margin-left: 2px;}
th.sortable.sort-asc>div>span:after {content:""; display: inline-block; background: url(/i/sprites.webp?v=4) -685px -140px no-repeat; width: 10px; height: 6px; vertical-align: middle; margin-left: 2px;}

.tablereports ul.pagination {list-style:none;}
.tablereports ul.pagination li {display: inline-block; border-radius: 3px; border: solid 1px #eaeef4; font-size: 13px; margin-right: 5px; line-height: 15px;}
.tablereports ul.pagination li:hover {border-color: #a5b6c6}
.tablereports ul.pagination li a {text-decoration: none; padding: 5px 10px; display: inline-block; cursor: pointer;}
.tablereports ul.pagination li a:hover {text-decoration: underline;}
.tablereports ul.pagination li.active {background: #70b418;}
.tablereports ul.pagination li.active a {color: #fff; font-weight: 800;}
.tablereports ul.pagination li.disabled {border:none;}
.tablereports ul.pagination li input{
    padding: 0px 5px;
    width: 60px;
    height: 25px;
    border: solid 0px #eaeef4;
    border-radius: 3px;
    color: #286798;
}

.pagination-row {margin: 30px 0; font-size: 14px;}
.pagination-row .pagination {display: inline-block; margin: 0; padding: 0;}
.pagination-row .pagination-info {display: inline-block;  float: right;  position: relative; vertical-align: middle;}
.pagination-row .pagination-info select {display: inline-block; padding: 0; width: auto; font-size: inherit; font-weight: inherit;}
.pagination-row.pagination-row-top {margin: 5px 7px; font-size: 14px;}

a.addFilterField {display: inline-block; background: url(/i/sprites.webp?v=4) -740px -85px no-repeat; width: 24px; height: 24px; vertical-align: middle; margin-left: 5px;}
a.removeFilterField {display: inline-block; background: url(/i/sprites.webp?v=4) -770px -85px no-repeat; width: 24px; height: 24px; vertical-align: middle; margin-left: 5px;}

.tablereports .width {max-width: 1500px;min-width:1100px;}
body.tablereports  {min-width:1100px; }

.counterrow {margin: 10px 0; font-size: 14px;}
.counterrow div {display: flex}
.counterrow:after {clear: both; content: " "; display: table; margin-bottom: -10px;}

.neartotopblock {display: block; position: absolute; top: -72px; right: 20px; width: 150px;}

.themeblock {border: solid 2px #e9eff6; margin: 40px 0; padding: 30px 15px; border-radius: 20px;}
.themeblock:before {
    display: block;
    color: #e9eff6;
    font-size: 24px;
    font-weight: 800;
    background: #fff;
    padding: 5px 10px;
    margin: -53px 0 10px 0;
    width: -moz-fit-content;
    width: fit-content;
}

.themeblock.pdf {border: initial; margin: initial; padding: initial;}
.themeblock:before {content: attr(data-label);}


.directblock.yandex:before {content: "Яндекс: Директ"; width: 196px; color: #2e6794;}
.directblock.google:before {content: "Google: Adwords"; width: 201px; color: #2e6794;}

.themeblock table {border-collapse: collapse; border-spacing: 0px;}
.themeblock table td.gray {color: #666; font-size: 10px;}
.themeblock table td.page, .themeblock table td .p-button {flex-shrink: 0}
.themeblock table td.page, .themeblock table td.page a {white-space: nowrap; max-width: 300px; overflow: hidden; text-overflow: ellipsis;}
.cal {text-align: center !important;}
.themeblock h2 {margin-top: 15px; margin-bottom: 20px; margin-left: 0px;}
tr.lastrow {background: #fff !important; text-align: center;}
tr.lastrow a.greenbutton {padding: 10px 20px;}

.showalllink {background: #56728b; border-radius: 5px; padding: 7px 12px; color: #FFF; font-size: 13px; text-decoration: none;}
.showalllink:hover {color: #ccc; text-decoration: underline;}
.showalllinksspace {text-align: center; margin: 20px 0;}
.directblock table td b {display: block; color: #56728b; font-weight: 600;}

.breadcrumbs {background: #f1f5f7; padding: 5px 0; font-size: 12px;}
.breadcrumbs ul {list-style: none;}
.breadcrumbs ul>li {display: inline-block; position: relative;}
.breadcrumbs ul a {text-decoration: none; color: #437aa5;}
.breadcrumbs ul a:hover {text-decoration: underline;}
.breadcrumbs li a.home {}
.breadcrumbs li a.home:before {content: ""; display: inline-block; background: url(/i/sprites.webp?v=4) -630px -310px no-repeat; width: 14px; height: 14px; vertical-align: middle; margin: -3px 6px 0 0;}
.breadcrumbs>.width>ul>li:after {content: "/"; display: inline-block; margin: 0 5px;}
.breadcrumbs>.width>ul>li:last-child:after {display: none;}
.breadcrumbs li:hover ol.submenu {display: block;}
.breadcrumbs ol.submenu b {font-weight: 500; color: #437aa5;}
.breadcrumbs ol.submenu {display: none; min-width: 220px; position: absolute; background: rgba(241,245,247,0.9); border-radius: 2px; padding: 10px; left: -10px; line-height: 22px; z-index:1000;}
.breadcrumbs ol.submenu ol {margin: 0 0 0 20px;}
.breadcrumbs ol li {list-style: none;}
.breadcrumbs ol.submenu li.active a {font-weight: 700;}

@media (max-width: 1280px) {
.width.ovf {overflow: hidden;}
}

tr a.greenbutton {font-weight: normal; text-transform: none; text-shadow: none; background: #56728b;}
tr a.greenbutton:hover {text-shadow: none;}
.startrep .dashboard {margin: 20px 0;}
.startrep h2 {margin-bottom: 10px;}
.startrep .mh400 {min-height: 200px;}
.startrep h3 {font-weight: normal}

.orgtops h2 {margin: 20px 0 15px;}
.orgtops {margin-bottom: 40px;}

.monblock h2 {margin-left: -0px; margin-bottom: 20px;}
.monblock ul {margin: 20px 20px 20px 0px;}
.monblock ul li {display: inline-block; margin: 10px 0px 10px 0; color: #286798; font-size: 14px;}
.monblock ul li:after {content:",";}
.monblock ul li:last-child:after {content: ".";}

label.radio s {color: #999;}

.compare_dash__table_container td {white-space: nowrap;}

.venntooltip {
  position: absolute;
  text-align: center;
  background: #333;
  color: #ddd;
  padding: 5px 10px 5px 10px;
  font-size: 14px;
  line-height: 14px;
  border: 0px;
  border-radius: 8px;
  opacity: 0;
}
g {cursor: pointer;}

.notification {background-color: #7a8b98;}
.notification .layout{background-color: #7a8b98;}
.notification .container{max-width: 1200px; margin: 0 auto; padding: 12px 0; position: relative;}
.notification .content{line-height: 20px; font-weight: 400; color: #fff; font-size: 15px; text-align: center;}
.notification .content a{text-decoration: underline;  font-weight: 700; background-color: transparent; border: 0; color: #fff;}
.notification .close{color: #fff; cursor: pointer; font-weight: 600; position: absolute; text-align: center; text-decoration: none; right: 10px; top: 5px;}

td.invoice {text-align: right; font-size: 13px;}
td.invoice i {color: #286798;}

code {display: inline-block; background-color: #F1F1F1; padding: 4px; color: black}
.v-tour code {color: var(--keysso-secondary-color);}

.adcompany {position: relative;}
.adcompany .form {width: inherit;}
.adcompany .form label.radio {width: 100%; vertical-align: middle; margin: 0; display: block; font-weight: 400; font-size: 13px; cursor: pointer;}
.adcompany .error, .filter .error {color: #ca1e53; font-size: 12px;}
.adcompany .container{max-width: 1200px;}
.adcompany .width * {-webkit-box-sizing: border-box;-moz-box-sizing: border-box;box-sizing: border-box}
.adcompany a.graybutton, .adcompany a.greenbutton  {text-decoration: none; padding: 0px 10px; font-size: 10px;}
.adcompany .help-link  {margin-left: 0;  color: #000;  opacity: 0.5;  font-size: 12px;  font-weight: 500;}
.adcompany .sbmtbtn  {float: left}
.adcompany .form .textpart p {font-size: 14px; line-height: 20px; margin: 0 0 10px;}
.adcompany .form .textpart a {font-size: 14px;}
.adcompany .download {margin: 20px 0 20px 0;}
.adcompany .download a {font-size: 18px;}
.adcompany label.radio i {color: inherit; display: inline-block; margin-left: 3px; letter-spacing: inherit;}


.char-count  {color: #666; font-size: 10px;}

.overflow-container {position:relative; height:400px; overflow:hidden;}
.fade-out-container{ position:absolute; bottom:0; height:50px; width:100%; background:-webkit-linear-gradient(rgba( 255, 255, 255, 0), rgba(255, 255, 255, 1) ); /* For Safari */ background:linear-gradient( rgba(255, 255, 255, 0), rgba(255, 255, 255, 1) );}
.hint-link{display: inline-block; color: #fff; font-size: 12px; text-decoration: underline; text-decoration-style: dotted; cursor: pointer;}
.hint-divide{display: inline-block; color: #fff; font-size: 12px;}

.modal-mask {position: fixed; z-index: 9998; top: 0; left: 0; width: 100%; height: 100%; background-color: rgba(0, 0, 0, .5); display: table; transition: opacity .3s ease;}
.modal-wrapper {display: table-cell; vertical-align: middle;}
.modal-container {width: 600px; margin: 0px auto; background-color: #fff; border-radius: 4px; box-shadow: 0 2px 8px rgba(0, 0, 0, .33); transition: all .3s ease;}
.modal-container input.varcharlike {border: solid 1px #dee0e2; padding: 5px 10px; width: 100%;}
.modal-container a.graybutton, .modal-container a.greenbutton  {text-decoration: none; padding: 0px 10px; font-size: 10px;}
.modal-header {padding: 10px 20px; background-color: #eee; border-top-left-radius: 4px; border-top-right-radius: 4px;}
.modal-header h3 {margin: 0!important;; font-weight: 300!important; font-size: 20px!important;; line-height: inherit!important;}
.modal-footer{padding: 10px 20px; background-color: #eee; border-bottom-left-radius: 4px; border-bottom-right-radius: 4px; /*height: 50px;*/}
.modal-body {/*margin: 20px 0;*/ padding: 10px 20px;}
.modal-default-button {float: right;}
.modal-enter {opacity: 0;}
.modal-leave-active {opacity: 0;}
.modal-enter .modal-container,
.modal-leave-active .modal-container {-webkit-transform: scale(1.1); transform: scale(1.1);}

button[disabled]:active, button[disabled],
input[type="button"][disabled]:active,
input[type="button"][disabled],
input[type="submit"][disabled]:active,
input[type="submit"][disabled] ,
button[disabled]:hover,
input[type="button"][disabled]:hover,
input[type="submit"][disabled]:hover
{
    opacity: 0.65;
    cursor: not-allowed;
}

.ks-icons {color: #d3d6db; padding-left: 5px;}
.ks-icons:hover{color: #516bc8}
.ks-icons.icon-danger:hover{color: #d9527a; cursor: pointer;}

fieldset {padding: .35em .625em .75em; /*margin: 0 2px;*/ border: 1px solid #c0c0c0;}
legend {padding: 0; border: 0; font-size: 13px; color: #818b95;}

.cluster .width * {-webkit-box-sizing: border-box;-moz-box-sizing: border-box;box-sizing: border-box}
.modal-wrapper * {-webkit-box-sizing: border-box;-moz-box-sizing: border-box;box-sizing: border-box}
.box-sizing-wrapper * {-webkit-box-sizing: border-box;-moz-box-sizing: border-box;box-sizing: border-box}

.ks-context-menu{
    background: #f9fafb;
    border: 1px solid #BDBDBD;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,.14),0 3px 1px -2px rgba(0,0,0,.2),0 1px 5px 0 rgba(0,0,0,.12);
    display: block;
    list-style: none;
    margin: 0!important;
    padding: 0!important;
    position: absolute;
    min-width: 150px;
    max-width: 240px;
    z-index: 999999;
}

.ks-context-menu li {
    color: rgb(0, 0, 0);
    border-bottom: 1px solid #E0E0E0;
    margin: 0!important;
    padding: 5px 14px!important;
    cursor: pointer;
    font-size: 13px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    font-weight: 500!important;
}

.ks-context-menu li.devider {
    font-size: 11px;
    color: #aaa;
    background: #efefef!important;
    cursor: inherit;
    border-bottom: none!important;
}

.ks-context-menu li.devider:hover {
    color: #aaa;
    background: #efefef!important;
}

.ks-context-menu li:last-child {
    border-bottom: none;
}

.ks-context-menu li:hover {
    background: #1E88E5;
    color: #FAFAFA;
}

.ks-alert{
    padding-bottom: 5px!important; padding-top: 5px!important; margin-bottom: 10px!important; font-size: 14px; line-height: normal;
}

.kstable__wordstat_cpc_bdg_link {
    border-bottom: 1px solid #dde4ea;
    text-decoration: none !important;
    white-space: nowrap;
}
.kstable__wordstat_cpc_bdg {
    border-spacing: 0;
}
.kstable__wordstat_cpc_bdg th {
    color: var(--secondary-color);
    font-size: 11px;
    font-weight: 400;
    padding: 0 10px;
    min-width: 100px;
}
.kstable__wordstat_cpc_bdg tbody tr:nth-child(odd) {
    background-color: var(--keysso-table-even-row-background);
}
.kstable__wordstat_cpc_bdg td {
    padding: 16px 10px;
    font-size: 14px;
}
.kstable__wordstat_cpc_bdg tr td:first-child {
    text-align: center;
}
.kstable__wordstat_cpc_bdg tr td:last-child {
    text-align: right;
    font-weight: 700;
}
.kstable__wordstat_cpc_bdg_instruction,
.kstable__wordstat_cpc_bdg_instruction a {
    font-size: 11px;
    font-weight: 400;
    color: var(--secondary-color);
}
.kstable__wordstat_cpc_bdg_instruction a {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    text-decoration: none;
    gap: 5px;
    margin-top: 10px;
}
.kstable__wordstat_cpc_bdg_overlay .p-overlaypanel-content {
    padding: 16px 16px 8px !important;
}

/*ANIMATION*/

@-webkit-keyframes pulse {
    0% { -webkit-transform: scale(1); opacity: 0.7; }
    50% { -webkit-transform: scale(0.9); opacity: 1; }
    100% { -webkit-transform: scale(1); opacity: 0.7; }
}

@keyframes pulse {
    0% { -webkit-transform: scale(1); opacity: 0.7; }
    50% { -webkit-transform: scale(0.9); opacity: 1; }
    100% { -webkit-transform: scale(1); opacity: 0.7; }
}

.modal-open {overflow: hidden;}

.radio.additional-slot{
    margin: 0px;
    font-weight: normal;
}
.radio.additional-slot span small{
    font-size: 10px;
    color: #666;
}

small.text-muted {
    font-size: 70%;
    font-weight: 400;
}

.tooltip {
    display: block !important;
    z-index: 10000;
}

.tooltip .tooltip-inner {
    background: #33404D;
    color: white;
    font-size: 13px;
    border-radius: 16px;
    padding: 5px 10px 4px;
}

.tooltip .tooltip-arrow {
    width: 0;
    height: 0;
    border-style: solid;
    position: absolute;
    margin: 5px;
    border-color: black;
    z-index: 1;
}

.tooltip[x-placement^="top"] {
    margin-bottom: 5px;
}

.tooltip[x-placement^="top"] .tooltip-arrow {
    border-width: 5px 5px 0 5px;
    border-left-color: transparent !important;
    border-right-color: transparent !important;
    border-bottom-color: transparent !important;
    bottom: -5px;
    left: calc(50% - 5px);
    margin-top: 0;
    margin-bottom: 0;
}

.tooltip[x-placement^="bottom"] {
    margin-top: 5px;
}

.tooltip[x-placement^="bottom"] .tooltip-arrow {
    border-width: 0 5px 5px 5px;
    border-left-color: transparent !important;
    border-right-color: transparent !important;
    border-top-color: transparent !important;
    top: -5px;
    left: calc(50% - 5px);
    margin-top: 0;
    margin-bottom: 0;
}

.tooltip[x-placement^="right"] {
    margin-left: 5px;
}

.tooltip[x-placement^="right"] .tooltip-arrow {
    border-width: 5px 5px 5px 0;
    border-left-color: transparent !important;
    border-top-color: transparent !important;
    border-bottom-color: transparent !important;
    left: -5px;
    top: calc(50% - 5px);
    margin-left: 0;
    margin-right: 0;
}

.tooltip[x-placement^="left"] {
    margin-right: 5px;
}

.tooltip[x-placement^="left"] .tooltip-arrow {
    border-width: 5px 0 5px 5px;
    border-top-color: transparent !important;
    border-right-color: transparent !important;
    border-bottom-color: transparent !important;
    right: -5px;
    top: calc(50% - 5px);
    margin-left: 0;
    margin-right: 0;
}

.tooltip.popover .popover-inner {
    background: #f9f9f9;
    color: black;
    padding: 24px;
    border-radius: 5px;
    box-shadow: 0 5px 30px rgba(black, .1);
}

.tooltip.popover .popover-arrow {
    border-color: #f9f9f9;
}

.tooltip[aria-hidden='true'] {
    visibility: hidden;
    opacity: 0;
    transition: opacity .15s, visibility .15s;
}

.tooltip[aria-hidden='false'] {
    visibility: visible;
    opacity: 1;
    transition: opacity .15s;
}

.modal-notification {
    padding: 10px;
    font-size: 15px;
    line-height: 18px;
}

/* поиск на странице фильтров */
.filter-search-field-container {
  position: relative;
}
.filter-search-field-container::after {
  content: "";
  display: inline-block;
  background-image: url("/i/loop-icon.webp");
  width: 20px;
  height: 20px;
  position: absolute;
  left: 0;
  margin-left: 4px;
  background-size: cover;
  top: calc(50% - 9px);
}
.filter-search-field {
  padding-left: 26px !important;
  border: 1px solid #dee0e2;
}
.filter-search-field:focus-visible {
  outline: 0;
}

.tablewrap {
  overflow-x: auto;
}
.nobr {
    white-space: nowrap;
}

:root {
  --video-ratio: calc(16 / 9);
  --video-container-max-width: 640px;
  --video-container-x-padding-sum: 2rem; /* eg, padding: 0 1rem */
}

.youtube-embed {
  --video-container-width: calc(100vw - var(--video-container-x-padding-sum));
  width: 100%;
  height: calc(var(--video-container-width) / var(--video-ratio));
}
@media only screen and (min-width: 672px) {
  .youtube-embed {
    --video-container-width: var(--video-container-max-width);
  }
}

a.graybutton.filter-day-active {
  color: #f0f4f7 !important;
  background: #3f6981;
}

.comparebtn {
    padding: 10px 0;
}

/* Фикс (запрет) приближения из-за яблочников */
@media (max-width: 768px) {
    #keysoApp input[type="date"],
    #keysoApp input[type="email"],
    #keysoApp input[type="number"],
    #keysoApp input[type="password"],
    #keysoApp input[type="search"],
    #keysoApp input[type="tel"],
    #keysoApp input[type="text"],
    #keysoApp input[type="time"],
    #keysoApp input[type="url"],
    #keysoApp textarea,
    #keysoApp select {
        font-size: 16px !important;
    }
}

.verify-email {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 10px;
    width: 460px;
    background: #FFFFFF;
    border-radius: 20px;
}

.verify-email__header h2{
    margin: unset;
    margin-bottom: 1rem;
    margin-top: 1rem;
}

.verify-email__content {
    padding-left: 20px;
}

.verify-email__content p:last-child  {
    color: #606266 !important;
}

/* @todo PrimeVue Удалить. Фикс старого отображения элементов */
.filter a>i.fa {
    margin: 9px 0;
    font-size: 11px;
    line-height: .8;
}
.filter .f-row.button-group a {
    margin-right: 3px;
    line-height: 28px;
}

.filter a.bluebutton, .filter a.graybutton, .filter a.greenbutton, .filter a.orangebutton {
    margin-right: 3px;
    text-decoration: none;
    padding: 0 10px;
    font-size: 10px;
    line-height: 28px;
}
.filter .f-row .f-row-item>* {
    vertical-align: top;
}
.filter .f-row-item a.graybutton {
    padding: 1px 10px 0;
}
.filter textarea {
    border: 1px solid #dee0e2;
    padding: 6px 10px;
}
.filter input, .filter select {
    font-size: 13px;
    line-height: 1.15;
    margin: 0;
}
.filter select {
    border: 1px solid #dee0e2;
    padding: 5px 10px;
    width: 230px;
    color: #818891;
}
.filter .f-row .f-row-item>* {
    vertical-align: top;
    margin-right: 3px;
}

.filter input.valueinput {
    border: 1px solid #dee0e2;
    width: 230px;
    padding: 6px 10px;
}
.filter input.cluster_search, .filter input.varcharlike {
    padding: 5px 10px;
}
.filter input, .filter select, .filter textarea {
    font-size: 13px;
    line-height: 1.15;
    margin: 0;
}
.filter .f-row .f-row-item {
    display: inline-block;
    vertical-align: top;
}
.filter .f-row {
    margin-bottom: 5px;
}
.filter input.varcharlike {
    width: 696px;
}
.filter .f-row.child {
    margin-left: 33px;
    margin-top: 5px;
}
.filter .disabled {
    cursor: not-allowed;
    pointer-events: none;
    filter: alpha(opacity=65);
    -webkit-box-shadow: none;
    box-shadow: none;
    opacity: .65;
}
.ks-icons {
    font-size: 1rem !important;
}

.gbackground {
    background: #33404D;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.registration {
    width: 460px;
    background: #FFFFFF;
    border-radius: 20px;
}

.registration__container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 2rem;
}

.registration__content {
    width: 100%;
    padding-left: 20px;
    padding-right: 20px;
    margin-bottom: 1rem;
}

.registration__or-login {
    font-size: 12px;
    color: #475569;
    margin-bottom: 10px;
}

.registration__label-offer {
    font-size: 11px !important;
    color: #475569;
}

.registration__btn {
    width: 266px;
}

.registration__btn span {
    font-weight: 500;
    font-size: medium;
}

.registration__btn-disabled, .restore__btn-disabled {
    background: #A4B1BE !important;
    border: 1px solid #A4B1BE !important;
    font-size: medium !important;
}

.registration__footer {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    margin-top: 2rem;
    width: 100%;
    padding-left: 20px;
    padding-right: 20px;
}
.auth_btn_container {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    align-items: center;
    width: 100%;
}

.registration__other_system {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 44px;
    padding: 10px 12px;
    width: 48%;
    background: #FFFFFFFF !important;
    border: 1px solid #CED4DA !important;
    border-radius: 6px;
    cursor: pointer;
}

.registration__other_system label {
    font-weight: 500;
    cursor: pointer;
}

.ya {
    margin-right: 10px;
    background-size: contain !important;
    background: url("/i/ya.png");
    width: 24px;
    height: 24px;
    border-radius: 87px;
}
.elama {
    margin-right: 10px;
    background-size: contain !important;
    background: url("/i/elama.svg");
    width: 24px;
    height: 24px;
    border-radius: 87px;
}

.registration__other_system_login span {
    color: #475569;
}

.registration__already-exist {
    margin-top: 1.5rem;
    color: #ffffff;
    font-size: 13px;
    font-weight: 500;
}

.registration__text-error, .restore__text-error {
    margin-top: 5px;
    font-size: 11px;
    color: #FF3D32;
}

.registration__password-wrapper {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.registration__green-text {
    margin-top: 5px;
    font-size: 13px;
    color: #6EB116;
    max-width: 135px;
}

.forgot_password__form, .restore_password__form {
    width: 460px;
    max-width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    border-radius: 20px;
}

.forgot_password__title, .restore_password__title {
    margin: unset;
}

.forgot_password__content, .restore_password__content {
    margin-top: 2rem;
    margin-bottom: 2rem;
    width: 100%;
}

.forgot_password__btn, .restore_password__btn {
    width: 240px;
}

.forgot_password__message, .restore_password__message {
    width: 100%;
}

a.green_link {
    color: var(--primary-color);
}

.grecaptcha-badge {
    display: none!important;
}

.edo-ico {
    display: inline-block;
    width: 18px;
    height: 18px;
    background: url(/i/icons/edo.svg)no-repeat;
    content: "";
    vertical-align: middle;
    background-size: cover;
}
/* Новый дизайн страниц с боковым меню */
.page_content__content_container {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
}
.page_content__content {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    z-index: 1;
}
.design_system__content_body {
    flex-grow: 1;
}
@media (min-width: 768px) {
    .page_content__content_container_with_left_menu {
        position: relative;
    }
    .page_content__content_container_with_left_menu:before {
        height: 6px;
        left: 0;
        right: 0;
        content: '';
        background: #33404D;
        position: absolute;
    }
    .page_content__content_container_with_left_menu .page_content__content {
        border-top-left-radius: 6px;
        overflow: hidden;
        min-height: 20px;
    }
}
/* контент страницы full vh - header top menu, обновляется значение через скрипт */
.page_content__min_full_vh_without_header_menu {
    min-height: calc(100vh - var(--keysso-top-menu-height));
}

/* временно вернул .width, @deprecated */
.width {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 10px;
    width: 100%;
}

/* скролл на блок ссылок с отступом меню на дашборде */
#block-links {
    scroll-margin-top: calc(var(--keysso-top-menu-height) + 15px);
}

/* Стили для KS Filter */
/* календарь */
.ks_filter__calendar {
    width: 230px;
}
.ks_filter__calendar .p-inputtext {
    padding: 6px 10px 4px;
    border-radius: 0;
    line-height: 1;
    font-size: 12px;
}
.ks_filter__calendar .p-datepicker-trigger {
    padding: 8px 8px 7px !important;
    width: auto !important;
    color: #818891 !important;
    background-color: #dee0e2;
    border: 0;
    border-radius: 4px;
}
.ks_filter__calendar .p-datepicker-trigger:hover {
    background: #c1cdd9 !important;
    text-shadow: 0 0 8px #fff;
}
.ks_filter__calendar .p-icon {
    height: 14px;
}
.ks_filter__calendar .p-button-label {
    line-height: 1;
}
